Subject: Re: cover letter and cc list

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Mar 2015 11:08:52 -0700

Olaf Hering <[email-masked]> writes:

> What does it take to send the cover letter to all people which are
> listed in the Cc: list of the following patches? Each patch has a
> different Cc: list. The "git send-email --help" command suggests that
> this cmdline should do it. But the cover letter goes just to the address
> listed in --to=:
>
> env TMPDIR=/dev/shm LC_ALL=C git send-email -M --stat --annotate \
>         --cover-letter --cc-cover --to=$address \
>         $base..$head

First step is not to drive format-patch from within send-email I
would think.  Instead prepare them in files in a directory (with
format-patch -o $dir).  You can edit Cc: header in 0000-*.patch
message while you proof-read what you are going to send out.